diff --git a/buglist b/buglist
index c7616f5..8da2647 100644
--- a/buglist
+++ b/buglist
@@ -28,12 +28,6 @@ t5:Union(L,"failed") := (recip t2)$L
 t6:Union(L,"failed") := t3
 
 =========================================================================
-bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat
- 
-   An expression involving @ DoubleFloat actually evaluated to one of 
-      type Float . Perhaps you should use :: DoubleFloat .
-
-=========================================================================
 bug 7263: missing function from POLY(ANTISYM)
 
 3*x*dx
@@ -41021,4 +41015,11 @@ fixed by 20141002.01.tpd.patch
 =========================================================================
 bug 7260: FINITE() Type: Subdomain(Domain)
 
+fixed by 20141125.01.tpd.patch
+=========================================================================
+bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat
+ 
+   An expression involving @ DoubleFloat actually evaluated to one of 
+      type Float . Perhaps you should use :: DoubleFloat .
+
 
diff --git a/changelog b/changelog
index 216714b..a6be5d1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20141125 tpd src/axiom-website/patches.html 20141125.01.tpd.patch
+20141125 tpd src/interp/i-intern.lisp fix bug 7264: 2.7@DoubleFloat failed
+20141125 tpd buglist move 7264 to fixed
 20141124 tpd src/axiom-website/patches.html 20141124.04.tpd.patch
 20141124 tpd books/bookvol10.4 fix failing domain tests
 20141124 tpd books/bookvol10.3 fix failing domain tests
diff --git a/patch b/patch
index 9d7323e..dff9077 100644
--- a/patch
+++ b/patch
@@ -1 +1,3 @@
-books/bookvol10.{2,3,4} fix failing domain tests
+src/interp/i-intern.lisp fix bug 7264: 2.7@DoubleFloat failed
+
+change eq to equal in mkAtree2
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3aef07f..af168c1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4734,6 +4734,8 @@ books/bookvol10.4 help docs for MatrixManipulation<br/>
 books/bookvol10.3 fix failing domain tests<br/>
 <a href="patches/20141124.04.tpd.patch">20141124.04.tpd.patch</a>
 books/bookvol10.{2,3,4} fix failing domain tests<br/>
+<a href="patches/20141125.01.tpd.patch">20141125.01.tpd.patch</a>
+src/interp/i-intern.lisp fix bug 7264: 2.7@DoubleFloat failed<br/>
  </body>
 </html>
 
diff --git a/src/interp/i-intern.lisp.pamphlet b/src/interp/i-intern.lisp.pamphlet
index 2355bd8..c064a78 100644
--- a/src/interp/i-intern.lisp.pamphlet
+++ b/src/interp/i-intern.lisp.pamphlet
@@ -459,7 +459,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
     (setq tt (|evaluateType| (|unabbrev| type)))
     (cond
      ((and
-       (eq tt '(|DoubleFloat|))
+       (equal tt '(|DoubleFloat|))
        (consp expr)
        (progn
         (setq tmp1 (qcar expr))
